cdac.medinfo.ccd.datatype

## Class AD

- java.lang.Object
- - cdac.medinfo.ccd.datatype.AD

-     public class AD
      extends java.lang.Object

  Mailing and home or office addresses. A sequence of address parts, such as street or post office Box, city, postal code, country, etc.

  Java class for AD complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AD">
         <complexContent>
           <extension base="{urn:hl7-org:v3}ANY">
             <sequence>
               <choice maxOccurs="unbounded" minOccurs="0">
                 <element name="delimiter" type="{urn:hl7-org:v3}adxp.delimiter"/>
                 <element name="country" type="{urn:hl7-org:v3}adxp.country"/>
                 <element name="state" type="{urn:hl7-org:v3}adxp.state"/>
                 <element name="county" type="{urn:hl7-org:v3}adxp.county"/>
                 <element name="city" type="{urn:hl7-org:v3}adxp.city"/>
                 <element name="postalCode" type="{urn:hl7-org:v3}adxp.postalCode"/>
                 <element name="streetAddressLine" type="{urn:hl7-org:v3}adxp.streetAddressLine"/>
                 <element name="houseNumber" type="{urn:hl7-org:v3}adxp.houseNumber"/>
                 <element name="houseNumberNumeric" type="{urn:hl7-org:v3}adxp.houseNumberNumeric"/>
                 <element name="direction" type="{urn:hl7-org:v3}adxp.direction"/>
                 <element name="streetName" type="{urn:hl7-org:v3}adxp.streetName"/>
                 <element name="streetNameBase" type="{urn:hl7-org:v3}adxp.streetNameBase"/>
                 <element name="streetNameType" type="{urn:hl7-org:v3}adxp.streetNameType"/>
                 <element name="additionalLocator" type="{urn:hl7-org:v3}adxp.additionalLocator"/>
                 <element name="unitID" type="{urn:hl7-org:v3}adxp.unitID"/>
                 <element name="unitType" type="{urn:hl7-org:v3}adxp.unitType"/>
                 <element name="careOf" type="{urn:hl7-org:v3}adxp.careOf"/>
                 <element name="censusTract" type="{urn:hl7-org:v3}adxp.censusTract"/>
                 <element name="deliveryAddressLine" type="{urn:hl7-org:v3}adxp.deliveryAddressLine"/>
                 <element name="deliveryInstallationType" type="{urn:hl7-org:v3}adxp.deliveryInstallationType"/>
                 <element name="deliveryInstallationArea" type="{urn:hl7-org:v3}adxp.deliveryInstallationArea"/>
                 <element name="deliveryInstallationQualifier" type="{urn:hl7-org:v3}adxp.deliveryInstallationQualifier"/>
                 <element name="deliveryMode" type="{urn:hl7-org:v3}adxp.deliveryMode"/>
                 <element name="deliveryModeIdentifier" type="{urn:hl7-org:v3}adxp.deliveryModeIdentifier"/>
                 <element name="buildingNumberSuffix" type="{urn:hl7-org:v3}adxp.buildingNumberSuffix"/>
                 <element name="postBox" type="{urn:hl7-org:v3}adxp.postBox"/>
                 <element name="precinct" type="{urn:hl7-org:v3}adxp.precinct"/>
               </choice>
               <element name="useablePeriod" type="{urn:hl7-org:v3}SXCM_TS" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="use" type="{urn:hl7-org:v3}set_PostalAddressUse" />
             <attribute name="isNotOrdered" type="{urn:hl7-org:v3}bl" />
           </extension>
         </complexContent>
       </complexType>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AD()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.io.Serializable>` | `getContent()` Mailing and home or office addresses.
    `java.util.List<java.lang.String>` | `getUse()` Gets the value of the use property.
    `java.lang.Boolean` | `isIsNotOrdered()` Gets the value of the isNotOrdered property.
    `void` | `setIsNotOrdered(java.lang.Boolean value)` Sets the value of the isNotOrdered property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AD

          public AD()

  - ### Method Detail

    - #### getContent

          public java.util.List<java.io.Serializable> getContent()

      Mailing and home or office addresses. A sequence of address parts, such as street or post office Box, city, postal code, country, etc. Gets the value of the content property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the content property.

      For example, to add a new item, do as follows:

              getContent().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``AdxpCountry``>` `JAXBElement``<``AdxpDeliveryInstallationType``>` `String` `JAXBElement``<``SXCMTS``>` `JAXBElement``<``AdxpCensusTract``>` `JAXBElement``<``AdxpDeliveryInstallationQualifier``>` `JAXBElement``<``AdxpPrecinct``>` `JAXBElement``<``AdxpHouseNumberNumeric``>` `JAXBElement``<``AdxpDeliveryMode``>` `JAXBElement``<``AdxpDeliveryAddressLine``>` `JAXBElement``<``AdxpDeliveryInstallationArea``>` `JAXBElement``<``AdxpPostBox``>` `JAXBElement``<``AdxpDirection``>` `JAXBElement``<``AdxpPostalCode``>` `JAXBElement``<``AdxpDelimiter``>` `JAXBElement``<``AdxpCareOf``>` `JAXBElement``<``AdxpStreetAddressLine``>` `JAXBElement``<``AdxpHouseNumber``>` `JAXBElement``<``AdxpStreetNameType``>` `JAXBElement``<``AdxpStreetNameBase``>` `JAXBElement``<``AdxpState``>` `JAXBElement``<``AdxpUnitType``>` `JAXBElement``<``AdxpBuildingNumberSuffix``>` `JAXBElement``<``AdxpCounty``>` `JAXBElement``<``AdxpAdditionalLocator``>` `JAXBElement``<``AdxpCity``>` `JAXBElement``<``AdxpStreetName``>` `JAXBElement``<``AdxpDeliveryModeIdentifier``>` `JAXBElement``<``AdxpUnitID``>`

    - #### getUse

          public java.util.List<java.lang.String> getUse()

      Gets the value of the use property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the use property.

      For example, to add a new item, do as follows:

              getUse().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### isIsNotOrdered

          public java.lang.Boolean isIsNotOrdered()

      Gets the value of the isNotOrdered property.
      Returns:
        possible object is `Boolean`

    - #### setIsNotOrdered

          public void setIsNotOrdered(java.lang.Boolean value)

      Sets the value of the isNotOrdered property.
      Parameters:
        `value` - allowed object is `Boolean`